# Generated by Django 4.2.4 on 2023-10-04 11:50

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("core", "0021_userprofile_preferred_language_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="BlockComposition",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("optional", models.BooleanField(default=False, verbose_name="optional")),
            ],
            options={
                "verbose_name": "block composition",
                "verbose_name_plural": "block compositions",
            },
        ),
        migrations.CreateModel(
            name="BuildingBlock",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("uuid", models.UUIDField(default=uuid.uuid4, unique=True, verbose_name="UUID")),
                ("name", models.CharField(max_length=255, verbose_name="Name")),
                (
                    "block_type",
                    models.CharField(
                        choices=[("atomic", "atomic"), ("composite", "composite")],
                        max_length=64,
                        verbose_name="Type",
                    ),
                ),
                (
                    "allow_more",
                    models.BooleanField(
                        default=False,
                        help_text="Allow more participants that qualify for any of the positions.",
                        verbose_name="allow more",
                    ),
                ),
                (
                    "sub_blocks",
                    models.ManyToManyField(
                        through="complexsignup.BlockComposition",
                        to="complexsignup.buildingblock",
                        verbose_name="sub blocks",
                    ),
                ),
            ],
            options={
                "verbose_name": "building block",
                "verbose_name_plural": "building blocks",
            },
        ),
        migrations.CreateModel(
            name="Position",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("label", models.CharField(blank=True, max_length=255, verbose_name="Label")),
                ("optional", models.BooleanField(default=False, verbose_name="optional")),
                (
                    "block",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="positions",
                        to="complexsignup.buildingblock",
                    ),
                ),
                (
                    "qualifications",
                    models.ManyToManyField(
                        blank=True, to="core.qualification", verbose_name="required qualifications"
                    ),
                ),
            ],
            options={
                "verbose_name": "position",
                "verbose_name_plural": "positions",
            },
        ),
        migrations.CreateModel(
            name="BlockQualificationRequirement",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("everyone", models.BooleanField(verbose_name="everyone")),
                ("at_least", models.PositiveSmallIntegerField(default=0, verbose_name="at least")),
                (
                    "block",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="qualification_requirements",
                        to="complexsignup.buildingblock",
                        verbose_name="block",
                    ),
                ),
                (
                    "qualifications",
                    models.ManyToManyField(
                        to="core.qualification", verbose_name="required qualifications"
                    ),
                ),
            ],
            options={
                "verbose_name": "qualification requirement",
                "verbose_name_plural": "qualification requirements",
            },
        ),
        migrations.AddField(
            model_name="blockcomposition",
            name="composite_block",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="sub_compositions",
                to="complexsignup.buildingblock",
                verbose_name="composite block",
            ),
        ),
        migrations.AddField(
            model_name="blockcomposition",
            name="sub_block",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="super_compositions",
                to="complexsignup.buildingblock",
                verbose_name="sub block",
            ),
        ),
    ]
