# Generated by Django 4.2.6 on 2023-10-23 17:09

from django.db import migrations, models


def migrate_federateduser(apps, schema_editor):
    FederatedUser = apps.get_model("federation", "FederatedUser")
    db_alias = schema_editor.connection.alias
    for federateduser in FederatedUser.objects.using(db_alias).all():
        federateduser.display_name = f"{federateduser.first_name} {federateduser.last_name}"
        federateduser.save()


class Migration(migrations.Migration):
    dependencies = [
        ("federation", "0003_alter_federatedguest_access_token_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="federateduser",
            name="first_name",
        ),
        migrations.RemoveField(
            model_name="federateduser",
            name="last_name",
        ),
        migrations.AddField(
            model_name="federateduser",
            name="display_name",
            field=models.CharField(default="", max_length=254, verbose_name="name"),
            preserve_default=False,
        ),
    ]
