# Generated by Django 4.2.6 on 2023-10-23 17:09

from django.db import migrations, models


def migrate_guestuser(apps, schema_editor):
    GuestUser = apps.get_model("guests", "GuestUser")
    db_alias = schema_editor.connection.alias
    for guestuser in GuestUser.objects.using(db_alias).all():
        guestuser.display_name = f"{guestuser.first_name} {guestuser.last_name}"
        guestuser.save()


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0023_remove_userprofile_first_name_and_more"),
        ("guests", "0004_alter_guestparticipation_options_and_more"),
    ]

    operations = [
        migrations.AlterUniqueTogether(
            name="guestuser",
            unique_together=set(),
        ),
        migrations.AddField(
            model_name="guestuser",
            name="display_name",
            field=models.CharField(default="", max_length=254, verbose_name="name"),
            preserve_default=False,
        ),
        migrations.AlterUniqueTogether(
            name="guestuser",
            unique_together={("event", "email", "display_name")},
        ),
        migrations.RunPython(migrate_guestuser),
        migrations.RemoveField(
            model_name="guestuser",
            name="first_name",
        ),
        migrations.RemoveField(
            model_name="guestuser",
            name="last_name",
        ),
    ]
